---
title: Dashboards
---

### Dashboards

Dashboards are stream entries that have multiple widgets associated with it.


#### Dashboard Fields

Below is a list of `fields` in the `dashboards` stream. Fields are accessed as attributes:

    $dashboard->name;

Same goes for decorated instances in Twig:

    {{ dashboard.name }}

###### Fields

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Type</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

name

</td>

<td>

text

</td>

<td>

The dashboard name.

</td>

</tr>

<tr>

<td>

slug

</td>

<td>

slug

</td>

<td>

The dashboard slug.

</td>

</tr>

<tr>

<td>

description

</td>

<td>

textarea

</td>

<td>

The dashboard description.

</td>

</tr>

<tr>

<td>

name

</td>

<td>

text

</td>

<td>

The dashboard name.

</td>

</tr>

<tr>

<td>

layout

</td>

<td>

select

</td>

<td>

The dashboard column layout.

</td>

</tr>

<tr>

<td>

allowed_roles

</td>

<td>

multiple

</td>

<td>

The roles allowed to view the dashboard.

</td>

</tr>

</tbody>

</table>


#### Dashboard Interface

This section will go over the `\Anomaly\DashboardModule\Dashboard\Contract\DashboardInterface` class.


##### DashboardInterface::getWidgets()

The `getWidgets` method returns the related widgets.

###### Returns: `\Anomaly\DashboardModule\Widget\WidgetCollection`

###### Example

    foreach ($dashboard->getWidgets() as $widget) {
        echo $widget->title . '<br>';
    }

###### Twig

    {% for widget in dashboard.getWidgets() %}
        {{ widget.title }}
    {% endfor %}


##### DashboardInterface::widgets()

The `widgets` method returns the widget relation.

###### Returns: `\Illuminate\Database\Eloquent\Relations\HasMany`

###### Example

    $widgets = $dashboard->widgets()->where('extension', 'anomaly.extension.xml_feed_widget')->get();

###### Twig

    {% set widgets = dashboard.widgets().where('extension', 'anomaly.extension.xml_feed_widget').get() %}
